summaryrefslogtreecommitdiffstats
path: root/system/fuse3
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbanghbash.com>2019-02-22 07:36:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-22 07:36:42 +0700
commitd0c6990d7ea36a05d78cade6c8a2ade0b320156a (patch)
tree90ecd2b980c74c9b949e9db011d1d5aa8573add4 /system/fuse3
parentd4abffab1870598c94170d7e655b52ffa1deb7cf (diff)
downloadslackbuilds-d0c6990d7ea36a05d78cade6c8a2ade0b320156a.tar.gz
slackbuilds-d0c6990d7ea36a05d78cade6c8a2ade0b320156a.tar.xz
system/fuse3: Added (Filesystem in Userspace).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/fuse3')
-rw-r--r--system/fuse3/README10
-rw-r--r--system/fuse3/fuse3.SlackBuild98
-rw-r--r--system/fuse3/fuse3.info10
-rw-r--r--system/fuse3/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/system/fuse3/README b/system/fuse3/README
new file mode 100644
index 0000000000..533ab44440
--- /dev/null
+++ b/system/fuse3/README
@@ -0,0 +1,10 @@
+fuse3 - Filesystem in Userspace, version 3
+
+FUSE (Filesystem in Userspace) is an interface for userspace programs to
+export a filesystem to the Linux kernel. The FUSE project consists of two
+components: the fuse kernel module (maintained in the regular kernel
+repositories) and the libfuse userspace library (maintained in this
+repository). libfuse provides the reference implementation for communicating
+with the FUSE kernel module.
+
+This ought not collide with the "fuse" package in stock slackware install.
diff --git a/system/fuse3/fuse3.SlackBuild b/system/fuse3/fuse3.SlackBuild
new file mode 100644
index 0000000000..5b52fdfe2f
--- /dev/null
+++ b/system/fuse3/fuse3.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for fuse3
+
+# Copyright 2019 Vincent Batts, Raleigh, NC, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SUFFIX=3
+BASENAME=fuse
+PRGNAM=${BASENAME}${SUFFIX}
+VERSION=${VERSION:-3.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BASENAME-$VERSION
+tar xvf $CWD/$BASENAME-$VERSION.tar.xz
+cd $BASENAME-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+meson build \
+ -Dexamples=false \
+ -Dudevrulesdir="/etc/udev/rules.d" \
+ --prefix="/usr" \
+ --mandir="/usr/man"
+ninja -C build
+DESTDIR=$PKG ninja -C build install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE LGPL2.txt GPL2.txt doc/ example/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fuse3/fuse3.info b/system/fuse3/fuse3.info
new file mode 100644
index 0000000000..b2ef5b541d
--- /dev/null
+++ b/system/fuse3/fuse3.info
@@ -0,0 +1,10 @@
+PRGNAM="fuse3"
+VERSION="3.3.0"
+HOMEPAGE="https://github.com/libfuse/libfuse"
+DOWNLOAD="https://github.com/libfuse/libfuse/releases/download/fuse-3.3.0/fuse-3.3.0.tar.xz"
+MD5SUM="2568a6bd41f5a4dead66e119a83cebaf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="meson"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbanghbash.com"
diff --git a/system/fuse3/slack-desc b/system/fuse3/slack-desc
new file mode 100644
index 0000000000..6cd1dacca4
--- /dev/null
+++ b/system/fuse3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fuse3: fuse3 (Filesystem in Userspace)
+fuse3:
+fuse3: FUSE is a simple interface for userspace programs to export a virtual
+fuse3: filesystem to the Linux kernel. FUSE also aims to provide a secure
+fuse3: method for non privileged users to create and mount their own
+fuse3: filesystem implementations.
+fuse3:
+fuse3: Homepage: https://github.com/libfuse/libfuse
+fuse3:
+fuse3:
+fuse3: